Show / Hide Table of Contents

# Struct InviteInfo

Represents information for an invite.

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public struct InviteInfo

### Properties

| Improve this Doc View Source

#### ChannelId

Gets the ID of the channel this invite is linked to.

##### Declaration

    public ulong? ChannelId { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.UInt64> | A System.UInt64 representing the channel snowflake identifier that the invite points to; `null` if not specified.

| Improve this Doc View Source

#### Code

Gets the unique identifier for this invite.

##### Declaration

    public string Code { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the invite code (e.g. `FTqNnyS`).

| Improve this Doc View Source

#### MaxAge

Gets the time (in seconds) until the invite expires.

##### Declaration

    public int? MaxAge { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> | An System.Int32 representing the time in seconds until this invite expires; `null` if this invite never expires or not specified.

| Improve this Doc View Source

#### MaxUses

Gets the max number of uses this invite may have.

##### Declaration

    public int? MaxUses { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> | An System.Int32 representing the number of uses this invite may be accepted until it is removed from the guild; `null` if none is specified.

| Improve this Doc View Source

#### Temporary

Gets a value that indicates whether the invite is a temporary one.

##### Declaration

    public bool? Temporary { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> | `true` if users accepting this invite will be removed from the guild when they log off, `false` if not; `null` if not specified.